!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine DensityCloud
!
!   * Developer: Kitamori Taichi
!   * Version: $Id: densitycloud.f90,v 1.5 2011-10-25 08:24:02 yamasita Exp $ 
!   * Tag Name: $Name: arare4-20111026 $
!   * Change History: 
!
!== Overview 
!
! ̩٤λȯŸ
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!   * եå򤤤Ƥ
!   * ήȻθ
!   * ̼齤ˤ, γ®ϽʬΤ, 
!     γθ̵̤(, 080411)
!   * ̩٤ΰή, Ȼ׻.
!     Ĺ֥ƥåפФ롼פӷ׻ή, ȻȤä
!     ̩٤βͤ׻. .
!     ŷʬϰήȻˤα̩٤ηԤʤäǷ׻.
!  
!== Future Plans
!
                                                                 !=end
subroutine DensityCloud(      & 
  & xz_DensCloudNs,                 & !(in) ̩
  & DelTimeShort,                   & !(in) leapfrog λֳִ
  & xz_TendDensCloudNl,             & !(in) Ĺ֥ƥåפɾ
  & xz_DensCloudWorkAs)               !(out) ̩(̩٤Ĵ)

                                                                 !=begin  
  !== Dependancy
  use dc_trace, only: BeginSub, EndSub, DbgMessage
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
!  use bcset,    only: xz_BC

                                                                 !=end
  !== ۤηػ
  implicit none
                                                                 !=begin
  !== Input
  real(8), intent(in)  :: DelTimeShort  ! leapfrog λֳִ [s]
  real(8), intent(in)  :: xz_DensCloudNs(DimXMin:DimXMax, DimZMin:DimZMax)
                                        ! ̩ [kg/m^3]
  real(8)  :: xz_TendDensCloudNl(DimXMin:DimXMax, DimZMin:DimZMax)
                                        ! Ĺ֥ƥåפɾ [kg/m^3 \s]

  !== Output
  real(8), intent(out)  :: xz_DensCloudWorkAs(DimXMin:DimXMax, DimZMin:DimZMax)
                                        ! ̩(̩Ĵ) [kg/m^3]

                                                                 !=end  

  call BeginSub("DensityCloud", &
       &        fmt="%c",              &
       &        c1="Time integration of density of cloud.")
  
  xz_DensCloudWorkAs = xz_DensCloudNs  & 
    &  + DelTimeShort * xz_TendDensCloudNl

  call EndSub("DensityCloud")
  
end subroutine DensityCloud
